<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
    $(document).ready(function () {
      $("#btn-submit-data").on("click", onBtnSubmitClick);
      $("#btn-clear-log").on("click", onBtnClearClick);
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onBtnSubmitClick() {
      var vPersonObj = {
        firstname: "",
        lastname: "",
        age: 0
      }
      thuThapDuLieuTrenForm(vPersonObj);
      var vDuLieuHopLe = kiemTraDuLieu(vPersonObj);
      if (vDuLieuHopLe ) { xuLyHienThi(); }

    }
    function onBtnClearClick() {
      $("#p-html-log").html(">");
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function thuThapDuLieuTrenForm(paramPersonObj) {
      paramPersonObj.firstname = $("#inp-first-name").val();
      paramPersonObj.lastname = $("#inp-last-name").val();
      paramPersonObj.age = $("#inp-age").val();
    }
    function kiemTraDuLieu(paramPersonObj) {
      if (paramPersonObj.firstname == "") {
        alert("Bạn chưa nhập firstname");
        return false;
      }
      if (paramPersonObj.lastname == "") {
        alert("Bạn chưa nhập lastname");
        return false;
      }
      if (isNaN(paramPersonObj.age)) {
        alert("Tuổi phải là số");
        return false;
      }
      if (paramPersonObj.age < 0 || paramPersonObj.age > 200) {
        alert("Tuổi phải từ 0 đến 200");
        return false;
      }
      return true;
    }
    function xuLyHienThi() {
      var vHtml = $("#p-html-log");
      vHtml.html(">" + "Firstname: " + $("#inp-first-name").val() + "<br>");
      vHtml.append(">" + "Lastname: " + $("#inp-last-name").val() + "<br>");
      vHtml.append(">" + "Age: " + $("#inp-age").val());
    }
  </script>

</head>

<body>
  <div class="container">
    <h2 style="text-align: center;">Personal Data Submit Form</h2>

    <div class="jumbotron container">
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="input-first-name">First Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-first-name" name="firstname" placeholder="Your first name ..."
            class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="inp-last-name">Last Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-last-name" name="lastname" placeholder="Your last name.." class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="age">Age</label>
        </div>
        <div class="col-sm-9">
          <input type="number" id="inp-age" name="age" placeholder="Your age ..." class="form-control">
        </div>
      </div>
      <div class="row">
        <div class="col-sm-12" style="text-align: right;">
          <button id="btn-submit-data" class="btn btn-info">Submit Data</button>
        </div>
      </div>
    </div>
    <!-- HTML Log -->
    <hr>
    <div style="text-align: right;">
      <button id="btn-clear-log" class="btn btn-info"> Clear HTML Log </button>
    </div>
    <p id="p-html-log"></p>
  </div>
</body>

</html>